### Method

# Phosh DBusMountOperationHandler call_show_processes

#### Declaration [src]

    void
    phosh_dbus_mount_operation_handler_call_show_processes (
      PhoshDBusMountOperationHandler* proxy,
      const gchar* arg_object_id,
      const gchar* arg_message,
      const gchar* arg_icon_name,
      GVariant* arg_application_pids,
      const gchar* const* arg_choices,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the ShowProcesses() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `phosh_dbus_mount_operation_handler_call_show_processes_finish()` to get the result of the operation.

See `phosh_dbus_mount_operation_handler_call_show_processes_sync()` for the synchronous, blocking version of this method.

#### Parameters

`arg_object_id`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_message`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_icon_name`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_application_pids`

  Type: `GVariant`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.

`arg_choices`

  Type: `const gchar* const*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.